import 'package:legacy_shared/legacy_shared.dart';
import 'package:account/src/core/domain/repositories/account_repository.dart';
import 'package:account/src/features/app_users/domain/get_app_users_use_case.dart';

class GetAppUsersUseCaseImpl implements GetAppUsersUseCase {
  GetAppUsersUseCaseImpl(this._repository);

  final AccountRepository _repository;

  @override
  Future<List<UserEntity>> getAppUsers({required String userId}) {
    return _repository.getAppUsers(userId: userId);
  }
}
